#ifndef _EDITOR_
#define _EDITOR_
typedef struct Editor Editor;
#include "common.h"
#include "block.h"
#include "game.h"
struct Editor {
    LandFloat mx, my;
    float ox, oy, oz;
    Block * picked;
    int btid;
};
extern Editor * editor;
void editor_new(void);
void editor_del(void);
bool editor_click(LandFloat mx, LandFloat my, bool clicked, bool released);
#endif
